---
Title: Support
---

CCrypto VPN uses mainly two VPN technologies,
[OpenVPN](https://openvpn.net/) and
[WireGuard](https://www.wireguard.com/).  
We recommend WireGuard for its simplicity, security, and performances,
but also provide OpenVPN servers for compatibility with many devices and setups.

### WireGuard Installation Guide

The most up to date installation instructions for WireGuard are on its official website:
[*Installation - Wireguard*](https://www.wireguard.com/install/).

- On Android and iOS, simply open the app and scan a [QR code from your account page](/account/wireguard) to associate a device.
- On Windows, mac OS and Linux, import a configuration file [downloaded from your account](/account/wireguard).

### OpenVPN Installation Guides

<ul class="install-guides">
  <li><a href="/page/install-android"><i class="fa fa-android fa-3x"></i> Android</a></li>
  <li><a href="/page/install-windows"><i class="fa fa-windows fa-3x"></i> Windows</a></li>
  <li><a href="/page/install-gnulinux"><i class="fa fa-linux fa-3x"></i> GNU/Linux</a></li>
  <li><a href="/page/install-osx"><i class="fa fa-apple fa-3x"></i> OS X</a></li>
  <li><a href="/page/install-chromeos"><i class="fa fa-chrome fa-3x"></i> Chromebook</a></li>
  <li><a href="/page/install-openvpn"><i class="fa fa-server fa-3x"></i> Other</a></li>
</ul>

### Help

  - [**Knowledge Base**](/kb/): We already cover many common questions in our knowledge base.
  - [**Self-Diagnosis**](/page/self-diagnosis): Before asking for help, check here if you find the solution to your problem.

### Contact Us

  - [**Tickets**](/tickets/): The most reliable and private way to reach us.
  - E-mail: **support at ccrypto.org** if you would like to ask a question without creating an account, or need help with your account.

